Bug 145088 - new port: devel/buildapp
Summary: new port: devel/buildapp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: jacula
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-27 20:00 UTC by Duncan Paterson
Modified: 2010-08-03 11:23 UTC (History)
0 users

See Also:


Attachments
file.shar (3.56 KB, text/plain)
2010-03-27 20:00 UTC, Duncan Paterson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan Paterson 2010-03-27 20:00:10 UTC
Description: A small utility for generating unix programs from sbcl(lisp)

Fix: Patch attached with submission follows:
Comment 1 Gabor Pali freebsd_committer 2010-04-26 00:41:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jacula

Over to Jacula.
Comment 2 dfilter service freebsd_committer 2010-08-03 11:19:28 UTC
jacula      2010-08-03 10:19:19 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/buildapp       Makefile distinfo pkg-descr 
  Log:
  Allows building executables simply from sbcl.
  Also allows for ARGV so programs  generated
  behave like normal unix programs.
  
  WWW: http://www.xach.com/lisp/buildapp/
  
  PR:             ports/145088
  Submitted by:   Duncan Paterson <dunkyp@gmail.com>
  Approved by:    pgj (mentor)
  
  Revision  Changes    Path
  1.3994    +1 -0      ports/devel/Makefile
  1.1       +42 -0     ports/devel/buildapp/Makefile (new)
  1.1       +3 -0      ports/devel/buildapp/distinfo (new)
  1.1       +5 -0      ports/devel/buildapp/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 jacula freebsd_committer 2010-08-03 11:23:49 UTC
State Changed
From-To: open->closed

The new port was committed with some reworking. Thank you for your 
submission!